@charset "UTF-8";
* {
  margin: 0;
  padding: 0;
}

body {
  font-family: "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, Osaka, "ＭＳ Ｐゴシック", "MS PGothic", "sans-serif";
}

img {
  vertical-align: bottom;
}

select {
  padding: 4px;
  font: inherit;
}

p {
  margin-bottom: 1em;
}

.container {
  max-width: 1200px;
  padding: 30px 15px;
  margin: 0 auto;
}

.simTtl {
  font-size: 24px;
  margin: 0 0 20px 0;
  padding-bottom: 10px;
  border-bottom: 1px dotted #333;
}

.simArea__about {
  margin-top: 30px;
  margin-bottom: 30px;
}

.simArea__notes {
  font-size: 12px;
}

.btn {
  text-align: right;
}
.btn a {
  display: inline-block;
  background-color: #333;
  padding: 3px 8px;
  text-align: center;
  color: #fff;
  text-decoration: none;
  font-size: 14px;
}
.btn .arrow {
  font-size: 10px;
  display: inline-block;
  vertical-align: middle;
}

/*シミュレーションエリア*/
#simArea {
  margin: 40px 0;
}

.simArea__preview__wrap {
  display: flex;
}

.simArea__preview {
  flex: 1 0 75%;
  margin-right: 30px;
}

.simArea__screen {
  /*max-width: 800px;
  margin: auto;*/
  font-size: 13px;
  overflow: hidden;
}

.simArea__screen > div {
  padding-top: 67.25%;
  position: relative;
  overflow: hidden;
  border: solid 2px #000;
  box-sizing: border-box;
}

.simArea__screen__in {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(#cfcfcf 2px, transparent 0), linear-gradient(90deg, #cfcfcf 2px, transparent 0);
  background-position: -1px -1px;
  transition: background .3s;
}

.simArea__screen__in.light_off {
  background-color: #e5e5e5;
}

.simArea__1sq {
  font-size: 13px;
  text-align: right;
  padding-bottom: 5px;
}

/*40 inch*/
.simArea__screen[data-size="40"] .simArea__screen__in {
  background-size: calc(100% / 10.1) calc(100% / 7);
}

.simArea__screen[data-size="40"] .optimumArea {
  /*width: 34.5%;
  height: 48%;*/
  width: calc(100% / 10.1 * 3.58);
  height: calc(100% / 7 * 3.25);
  left: calc(100% / 10.1 * 1.21);
}

.simArea__screen[data-size="40"] .optimumArea_range {
  width: calc(100% / 10.1 * 1.21);
}

.simArea__screen[data-size="40"] .projecterArea {
  width: calc(100% / 10.1 / 2.3);
}

.simArea__screen[data-size="40"] .projecterLight {
  height: calc(100% / 7 * 0.8);
}

.simArea__screen[data-size="40"][data-layout="type-ko"] .layout_area {
  width: 100%;
  height: 100%;
  background: url("../images/layout_ko_40.svg") no-repeat left center;
  background-size: 73%;
}

.simArea__screen[data-size="40"][data-layout="type-semi"] .layout_area {
  width: 103%;
  height: 100%;
  background: url("../images/layout_semi_40.svg") no-repeat left center;
  background-size: 100% auto;
}

.simArea__screen[data-size="40"][data-layout="type-chair"] .layout_area {
  width: 94.5%;
  height: 100%;
  background: url("../images/layout_chair_40.svg") no-repeat;
  background-position: left center;
}

/*50 inch*/
.simArea__screen[data-size="50"] .simArea__screen__in {
  background-size: calc(100% / 10.1) calc(100% / 7);
}

.simArea__screen[data-size="50"] .optimumArea {
  	/*width: 44.5%;
      height: 59%;*/
  width: calc(100% / 10.1 * 4.47);
  height: calc(100% / 7 * 4.06);
  left: calc(100% / 10.1 * 1.52);
}

.simArea__screen[data-size="50"] .optimumArea_range {
  width: calc(100% / 10.1 * 1.52);
}

.simArea__screen[data-size="50"] .projecterArea {
  width: calc(100% / 10.1 / 2.3);
}

.simArea__screen[data-size="50"] .projecterLight {
  height: calc(100% / 7 * 0.95);
}

.simArea__screen[data-size="50"][data-layout="type-ko"] .layout_area {
  width: 100%;
  height: 100%;
  background: url("../images/layout_ko_40.svg") no-repeat left center;
  background-size: 55%;
}

.simArea__screen[data-size="50"][data-layout="type-semi"] .layout_area {
  width: 82%;
  height: 106%;
  background: url("../images/layout_semi_50.svg") no-repeat left center;
  background-size: 100% auto;
}

.simArea__screen[data-size="50"][data-layout="type-chair"] .layout_area {
  width: 94.5%;
  height: 100%;
  background: url("../images/layout_chair_50.svg") no-repeat;
  background-position: left center;
}

/*60 inch*/
.simArea__screen[data-size="60"] .simArea__screen__in {
  background-size: calc(100% / 10.1) calc(100% / 7);
}

.simArea__screen[data-size="60"] .optimumArea {
  	/*width: 53.5%;
      height: 70%;*/
  width: calc(100% / 10.1 * 5.37);
  height: calc(100% / 7 * 4.87);
  left: calc(100% / 10.1 * 1.82);
}

.simArea__screen[data-size="60"] .optimumArea_range {
  width: calc(100% / 10.1 * 1.82);
}

.simArea__screen[data-size="60"] .projecterArea {
  width: calc(100% / 10.1 / 2.3);
}

.simArea__screen[data-size="60"] .projecterLight {
  height: calc(100% / 7 * 1.1);
}

.simArea__screen[data-size="60"][data-layout="type-ko"] .layout_area {
  width: 100%;
  height: 100%;
  background: url("../images/layout_ko_60.svg") no-repeat left center;
  background-size: 80%;
}

.simArea__screen[data-size="60"][data-layout="type-semi"] .layout_area {
  width: 97%;
  height: 100%;
  background: url("../images/layout_semi_60.svg") no-repeat left center;
  background-size: 100% auto;
}

.simArea__screen[data-size="60"][data-layout="type-chair"] .layout_area {
  width: 94.5%;
  height: 100%;
  background: url("../images/layout_chair_60.svg") no-repeat;
  background-position: left center;
}

/*80 inch*/
.simArea__screen[data-size="80"] .simArea__screen__in {
  background-size: calc(100% / 12.7) calc(100% / 9);
}

.optimumArea,
.simArea__screen[data-size="80"] .optimumArea {
  /*width: 55%;*/
  width: calc(100% / 12.7 * 7.16);
  /*height: 70%;*/
  height: calc(100% / 9 * 6.5);
  left: calc(100% / 12.7 * 2.43);
}

.simArea__screen[data-size="80"] .optimumArea_range {
  width: calc(100% / 12.7 * 2.43);
}

.projecterArea,
.simArea__screen[data-size="80"] .projecterArea {
  width: calc(100% / 12.7 / 2.5);
}

.projecterLight,
.simArea__screen[data-size="80"] .projecterLight {
  height: calc(100% / 9 * 2);
}

.simArea__screen[data-size="80"][data-layout="type-ko"] .layout_area {
  width: 100%;
  height: 100%;
  background: url("../images/layout_ko_80.svg") no-repeat left center;
  background-size: 85%;
}

.simArea__screen[data-size="80"][data-layout="type-semi"] .layout_area {
  width: 90%;
  height: 105%;
  background: url("../images/layout_semi_80.svg") no-repeat left center;
  background-size: 100% auto;
}

.simArea__screen[data-size="80"][data-layout="type-chair"] .layout_area {
  width: 100%;
  height: 108%;
  background: url("../images/layout_chair_80.svg") no-repeat;
}

/*100 inch*/
.simArea__screen[data-size="100"] .simArea__screen__in {
  background-size: calc(100% / 14.5) calc(100% / 10);
}

.simArea__screen[data-size="100"] .optimumArea {
  	/*width: 62%;
      height: 80%;*/
  width: calc(100% / 14.5 * 8.95);
  height: calc(100% / 10 * 8.12);
  left: calc(100% / 14.5 * 3.04);
}

.simArea__screen[data-size="100"] .optimumArea_range {
  width: calc(100% / 14.5 * 3.04);
}

.simArea__screen[data-size="100"] .projecterArea {
  width: calc(100% / 14.5 / 2.4);
}

.simArea__screen[data-size="100"] .projecterLight {
  height: calc(100% / 10 * 3);
}

.simArea__screen[data-size="100"][data-layout="type-ko"] .layout_area {
  width: 100%;
  height: 100%;
  background: url("../images/layout_ko_100.svg") no-repeat left center;
  background-size: 88.3%;
}

.simArea__screen[data-size="100"][data-layout="type-semi"] .layout_area {
  width: 93%;
  height: 100%;
  background: url("../images/layout_semi_100.svg") no-repeat left center;
  background-size: 100% auto;
}

.simArea__screen[data-size="100"][data-layout="type-chair"] .layout_area {
  width: 100%;
  height: 110%;
  background: url("../images/layout_chair_100.svg") no-repeat;
}

/*120 inch*/
.simArea__screen[data-size="120"] .simArea__screen__in {
  background-size: calc(100% / 16.7) calc(100% / 10.97);
}

.simArea__screen[data-size="120"] .optimumArea {
  	/*width: 64.5%;
      height: 89%;*/
  width: calc(100% / 16.7 * 10.74);
  height: calc(100% / 10.97 * 9.75);
  left: calc(100% / 16.7 * 3.65);
}

.simArea__screen[data-size="120"] .optimumArea_range {
  width: calc(100% / 16.7 * 3.65);
}

.simArea__screen[data-size="120"] .projecterArea {
  width: calc(100% / 16.7 / 2.5);
}

.simArea__screen[data-size="120"] .projecterLight {
  height: calc(100% / 10.97 * 4);
}

.simArea__screen[data-size="120"][data-layout="type-ko"] .layout_area {
  width: 100%;
  height: 100%;
  background: url("../images/layout_ko_120.svg") no-repeat left center;
  background-size: 90.4%;
}

.simArea__screen[data-size="120"][data-layout="type-semi"] .layout_area {
  width: 89%;
  height: 100%;
  background: url("../images/layout_semi_120.svg") no-repeat left center;
  background-size: 100% auto;
}

.simArea__screen[data-size="120"][data-layout="type-chair"] .layout_area {
  width: 100%;
  height: 113%;
  background: url("../images/layout_chair_120.svg") no-repeat;
}

/*150 inch*/
.simArea__screen[data-size="150"] .simArea__screen__in {
  background-size: calc(100% / 21) calc(100% / 14);
}

.simArea__screen[data-size="150"] .optimumArea {
  	/*width: 64.2%;
      height: 88%;*/
  width: calc(100% / 21 * 13.42);
  height: calc(100% / 14 * 12.19);
  left: calc(100% / 21 * 4.57);
}

.simArea__screen[data-size="150"] .optimumArea_range {
  width: calc(100% / 21 * 4.57);
  top: 25%;
}

.simArea__screen[data-size="150"] .projecterArea {
  width: calc(100% / 21 / 2.8);
}

.simArea__screen[data-size="150"] .projecterLight {
  height: calc(100% / 14 * 6);
}

.simArea__screen[data-size="150"][data-layout="type-ko"] .layout_area {
  width: 100%;
  height: 100%;
  background: url("../images/layout_ko_150.svg") no-repeat left center;
  background-size: 85%;
}

.simArea__screen[data-size="150"][data-layout="type-semi"] .layout_area {
  width: 92%;
  height: 100%;
  background: url("../images/layout_semi_150.svg") no-repeat left center;
  background-size: 100% auto;
}

.simArea__screen[data-size="150"][data-layout="type-chair"] .layout_area {
  width: 100%;
  height: 116%;
  background: url("../images/layout_chair_150.svg") no-repeat;
}

/*プロジェクター*/
.projecterArea {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 13;
  transition: all .3s;
  text-align: right;
}
.projecterArea img {
  width: 100%;
  display: block;
}

/*プロジェクターライト*/
.projecterLight {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  z-index: 11;
  width: 200px;
  height: 50px;
  opacity: .7;
  transition: all .3s;
  animation: flash 1s linear infinite;
}
.projecterLight img, .projecterLight svg {
  width: 100%;
  height: 100%;
  display: block;
}

.lightColor {
  fill: #f4ca1d;
}

@keyframes flash {
  0%,100% {
    opacity: .7;
  }
  50% {
    opacity: 0;
  }
}
/*最適化エリア*/
.optimumArea {
  position: absolute;
  background-color: rgba(176, 255, 0, 0.4);
  top: 0;
  bottom: 0;
  margin: auto;
  z-index: 5;
  transition: all .3s;
}

.optimumArea p {
  position: absolute;
  bottom: -3%;
  text-align: center;
  left: 0;
  width: 100%;
  font-weight: bold;
  margin: 0;
  font-size: 20px;
}

.optimumArea_h {
  position: absolute;
  top: 20px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: red;
}

.optimumArea_h span {
  position: absolute;
  top: -2em;
  left: 0;
  width: 100%;
  text-align: center;
  font-weight: bold;
}

.optimumArea_v {
  position: absolute;
  top: 0;
  right: 20px;
  width: 2px;
  height: 100%;
  background-color: red;
}

.optimumArea_v span {
  position: absolute;
  top: 50%;
  margin-top: -0.8em;
  right: -10px;
  width: 100%;
  text-align: center;
  font-weight: bold;
}

.optimumArea_range {
  position: absolute;
  left: 0;
  height: 2px;
  top: 25%;
  background-color: red;
  z-index: 5;
  transition: all .3s;
}

.optimumArea_range span {
  width: 100%;
  text-align: center;
  font-weight: bold;
  position: absolute;
  top: -2em;
}

/*レイアウト*/
.layout_area {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  background-position: left center;
  z-index: -1;
}

.layout_notes {
  text-align: right;
  font-size: 13px;
}
.layout_notes .desk,
.layout_notes .chair {
  display: none;
}

[data-layout="type-ko"] + .layout_notes .desk,
[data-layout="type-semi"] + .layout_notes .desk {
  display: block;
  margin-top: 5px;
}

[data-layout="type-chair"] + .layout_notes .chair {
  display: block;
  margin-top: 5px;
}

/*最小・最大距離*/
.maxDistance,
.minDistance {
  position: absolute;
  top: 50%;
  height: 50%;
  left: 0;
  border-right: 3px dashed orange;
  z-index: 12;
  transition: all .3s;
}

.maxDistance .line,
.minDistance .line {
  position: absolute;
  left: 0;
  height: 2px;
  background-color: red;
  z-index: 11;
  width: 100%;
}

.maxDistance .line {
  top: 60%;
}

.minDistance .line {
  top: 30%;
}

.maxDistance span,
.minDistance span {
  text-align: center;
  font-weight: bold;
  width: 100%;
  top: -2em;
  position: absolute;
}

/*セレクト*/
.simArea__selects {
  display: flex;
  justify-content: space-between;
  margin: 0 0 15px 0;
  flex-wrap: wrap;
}

.simArea__select {
  text-align: center;
  flex: 0 0 32%;
  box-sizing: border-box;
}
.simArea__select select {
  width: 100%;
}

.simArea__select label {
  display: block;
}

/*結果表示*/
.simArea__result {
  border: 1px solid #aaa;
  background-color: #f5f5f5;
}
.simArea__result dt {
  font-weight: bold;
  text-align: center;
  margin-bottom: 10px;
}
.simArea__result dd {
  text-align: center;
}

.simArea__result__hdg {
  text-align: center;
  margin: 0 0 20px 0;
  padding: 10px;
  background-color: #333;
  color: #fff;
}

.simArea__result__body {
  padding: 15px;
}

.simArea__result__size,
.simArea__result__nop {
  margin-bottom: 40px;
}

.js-light {
  position: relative;
  padding-left: 2em;
  margin-bottom: 20px;
}
.js-light:last-child {
  margin-bottom: 0;
}

.js-light:before {
  content: "";
  display: block;
  width: 1.5em;
  height: 1.5em;
  box-sizing: border-box;
  border: solid 2px orange;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 50%;
  transition: background .3s;
}

.js-light.is-active {
  opacity: 1;
}

.js-light.is-active:before {
  background: orange;
}

/*arrow*/
.arrow_h::before {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 5px 8.7px 5px 0;
  border-color: transparent red transparent transparent;
  content: '';
  position: absolute;
  top: -4px;
  left: -1px;
}

.arrow_h::after {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 5px 0 5px 8.7px;
  border-color: transparent transparent transparent red;
  content: '';
  position: absolute;
  top: -4px;
  right: -1px;
}

.arrow_v::before {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 5px 8.7px 5px;
  border-color: transparent transparent red transparent;
  content: '';
  position: absolute;
  top: -1px;
  right: -4px;
}

.arrow_v::after {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 8.7px 5px 0 5px;
  border-color: red transparent transparent transparent;
  content: '';
  position: absolute;
  bottom: -1px;
  right: -4px;
}

/*modal*/
.modalTtl {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 20px;
}

.modal-wrapper {
  z-index: 999;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 60px 10px;
  text-align: center;
}

.modal-wrapper:not(:target) {
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s, visibility .3s;
}

.modal-wrapper:target {
  opacity: 1;
  visibility: visible;
  transition: opacity .4s, visibility .4s;
}

.modal-wrapper::after {
  display: inline-block;
  height: 100%;
  margin-left: -.05em;
  vertical-align: middle;
  content: "";
}

.modal-wrapper .modal-window {
  box-sizing: border-box;
  display: inline-block;
  z-index: 20;
  position: relative;
  width: 70%;
  max-width: 600px;
  padding: 30px;
  border-radius: 2px;
  background: #fff;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.6);
  vertical-align: middle;
}

.modal-wrapper .modal-window .modal-content {
  max-height: 80vh;
  overflow-y: auto;
  text-align: left;
}

.modal-overlay {
  z-index: 10;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
}

.modal-wrapper .modal-close {
  z-index: 20;
  position: absolute;
  top: 0;
  right: 0;
  width: 35px;
  color: #95979c !important;
  font-size: 20px;
  font-weight: 700;
  line-height: 35px;
  text-align: center;
  text-decoration: none;
  text-indent: 0;
}

.modal-wrapper .modal-close:hover {
  color: #2b2e38 !important;
}

@media screen and (max-width: 800px) {
  #simArea {
    margin: 20px 0;
  }

  .simTtl {
    font-size: 19px;
  }

  .simArea__preview__wrap {
    display: block;
  }

  .simArea__preview {
    margin: 0 0 20px 0;
  }

  .simArea__screen {
    font-size: 10px;
  }

  .simArea__selects label {
    font-size: 13px;
  }

  .simArea__select select {
    font-size: 16px;
  }

  .simArea__result {
    font-size: 13px;
  }

  .simArea__result__hdg {
    margin-bottom: 0;
    padding: 6px;
  }

  .simArea__result__body {
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
  }
  .simArea__result__body > div {
    width: 50%;
  }
  .simArea__result__body .simArea__result__light {
    width: auto;
  }

  .js-size {
    font-size: 10px;
  }

  .simArea__result__size, .simArea__result__nop {
    margin-bottom: 20px;
  }

  .optimumArea p {
    font-size: 12px;
  }

  .maxDistance,
  .minDistance {
    border-right-width: 2px;
  }

  .modal-wrapper .modal-window {
    width: 90%;
    padding: 15px;
  }
}
